### Method

# Ide Notification set_has_progress

#### Declaration

    void
    ide_notification_set_has_progress (
      IdeNotification* self,
      gboolean has_progress
    )

#### Description

Set to `TRUE` if the notification supports progress updates.

Available since: | 3.32

Sets property | `Ide.Notification:has-progress`

#### Parameters

`has_progress` | `gboolean`
| If `notification` supports progress.